Create New AnyAmount Invoice
This endpoint creates a new AnyAmount invoice under merchant's account.
POST
/api/invoices/v1/unlimitedAuth: RequiredRequest Body
itemsarrayRequiredItem or service provided by invoice. Can contain multiple items, but best practice for AnyAmount is one item/service/purpose.
More attributes
Response
idstringInvoice identifier. Open on frontend: https://pay.my.paidlys.com/%invoice_id%.
statusstringCurrent invoice state: created, pending, processing, done, failed, expired. Note: wrong and refunded are not applicable for AnyAmount invoices.
createdAtstringInvoice creation date and time.
typestringInvoice type: regular, unlimited, or business.
companyobjectMerchant's company information: name, logoUrl, assets (list of accepted assets with isAllowed flag).
invoiceContentobjectPrimary invoice info: items list, invoiceCurrency, paymentCurrency, isMerchantPaysFee.
redirectURLstring | nullURL for redirect after "Done" status. null means no redirect.